<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.WfPrPfutilizationhoursMapper">
    
    <resultMap type="WfPrPfutilizationhours" id="WfPrPfutilizationhoursResult">
        <result property="windplantNo"    column="windplant_no"    />
        <result property="projectNo"    column="project_no"    />
        <result property="modelNo"    column="model_no"    />
        <result property="dataTime"    column="data_time"    />
        <result property="pfHourCount"    column="pf_hour_count"    />
        <result property="dataFlag"    column="data_flag"    />
    </resultMap>

    <sql id="selectWfPrPfutilizationhoursVo">
        select windplant_no, project_no, model_no, data_time, pf_hour_count, data_flag from wf_pr_pfutilizationhours
    </sql>

    <select id="selectWfPrPfutilizationhoursList" parameterType="WfPrPfutilizationhours" resultMap="WfPrPfutilizationhoursResult">
        <include refid="selectWfPrPfutilizationhoursVo"/>
        <where>
            <if test="windplantNo != null ">and windplant_no = #{windplantNo}</if>
            <if test="projectNo != null ">and project_no = #{projectNo}</if>
            <if test="modelNo != null ">and model_no = #{modelNo}</if>
            <if test="pfHourCount != null "> and pf_hour_count = #{pfHourCount}</if>
            <if test="dataFlag != null "> and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
        </where>
    </select>
    
    <select id="selectWfPrPfutilizationhoursById" parameterType="Long" resultMap="WfPrPfutilizationhoursResult">
        <include refid="selectWfPrPfutilizationhoursVo"/>
        where windplant_no = #{windplantNo}
    </select>

    <select id="selectWfPrPfutilizationhours" parameterType="WfPrPfutilizationhours" resultMap="WfPrPfutilizationhoursResult">
        <include refid="selectWfPrPfutilizationhoursVo"/>
        <where>
            <if test="windplantNo != null ">and windplant_no = #{windplantNo}</if>
            <if test="projectNo != null ">and project_no = #{projectNo}</if>
            <if test="modelNo != null ">and model_no = #{modelNo}</if>
            <if test="dataTime != null ">and data_time > #{dataTime}</if>
        </where>
    </select>

</mapper>